Users

Update user profile

Update the current user's profile. Requires JWT Bearer token authentication. Both OrgBearerAuth and ProjectBearerAuth are supported (they use the same JWT token format). API keys are not supported for this endpoint.

AuthBearer (JWT)
GroupUsers
Rate limitSee Rate Limits
PATCH/api/users/update

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, UsersApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const users = new UsersApi(configuration);
import { Configuration, UsersApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const users = new UsersApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await users.updateUserProfile(
  {
    firstName: "Harry",
    lastName: "Douglas",
    avatar: "https://picsum.photos/seed/ou3SuaUK/177/2563"
  }
);
const { data: result } = await users.updateUserProfile(
  {
    firstName: "Harry",
    lastName: "Douglas",
    avatar: "https://picsum.photos/seed/ou3SuaUK/177/2563"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "firstName": "Marjorie",
  "lastName": "Wyman",
  "avatar": "https://picsum.photos/seed/MRdIA/2282/2416"
}
{
  "firstName": "Marjorie",
  "lastName": "Wyman",
  "avatar": "https://picsum.photos/seed/MRdIA/2282/2416"
}

Responses

200Profile updated
json
{
  "message": "Profile updated successfully",
  "user": {
    "_id": "685acbe0e129932fbb7a0fc2",
    "email": "john.doe@mudbase.dev",
    "firstName": "John",
    "lastName": "Doe",
    "avatar": "https://example.com/avatar.jpg"
  }
}
{
  "message": "Profile updated successfully",
  "user": {
    "_id": "685acbe0e129932fbb7a0fc2",
    "email": "john.doe@mudbase.dev",
    "firstName": "John",
    "lastName": "Doe",
    "avatar": "https://example.com/avatar.jpg"
  }
}
Edit this page on GitHub